Gtk2::WebKit::Download(3)

NAME
Gtk2::WebKit::Download

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::Download

METHODS

  download = Gtk2::WebKit::Download->new ($request)

•   $request (Gtk2::WebKit::NetworkRequest)

  $download->cancel

  64 bit unsigned = $download->get_current_size

  string = $download->get_destination_uri

  $download->set_destination_uri ($destination_uri)

•   $destination_uri (string)

  double = $download->get_elapsed_time

  networkrequest = $download->get_network_request

  double = $download->get_progress

  $download->start

  downloadstatus = $download->get_status

  string = $download->get_suggested_filename

  64 bit unsigned = $download->get_total_size

  string = $download->get_uri

PROPERTIES

'current-size' (Glib::UInt64 : default 0 : readable / private)
    The length of the data already downloaded

'destination-uri' (string : default "" : readable / writable / private)
    The destination URI where to save the file

'network-request' (Gtk2::WebKit::NetworkRequest : default undef : readable / writable / construct-only / private)
    The network request for the URI that should be downloaded

'network-response' (Gtk2::WebKit::NetworkResponse : default undef : readable / writable / construct-only / private)
    The network response for the URI that should be downloaded

'progress' (double : default 1 : readable / private)
    Determines the current progress of the download

'status' (Gtk2::WebKit::DownloadStatus : default "created" : readable / private)
    Determines the current status of the download

'suggested-filename' (string : default "" : readable / private)
    The filename suggested as default when saving

'total-size' (Glib::UInt64 : default 0 : readable / private)
    The total size of the file

SIGNALS

boolean = error (Gtk2::WebKit::Download, integer, integer, string)

ENUMS AND FLAGS

  enum Gtk2::WebKit::DownloadStatus
•   'error' / 'WEBKIT_DOWNLOAD_STATUS_ERROR'

•   'created' / 'WEBKIT_DOWNLOAD_STATUS_CREATED'

•   'started' / 'WEBKIT_DOWNLOAD_STATUS_STARTED'

•   'cancelled' / 'WEBKIT_DOWNLOAD_STATUS_CANCELLED'

•   'finished' / 'WEBKIT_DOWNLOAD_STATUS_FINISHED'

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz